Name:		mediawiki-Renameuser
Version:	0
Release:	0.6.20090505svn%{?dist}
Summary:	An extension that provides a special page for renaming user accounts

Group:		Applications/Internet
License:	GPLv2+
URL:		http://www.mediawiki.org/wiki/Extension:Renameuser
# http://svn.wikimedia.org/viewvc/mediawiki/trunk/extensions/Renameuser/RenameUserJob.php?revision=50213
Source0:	RenameUserJob.php
# http://svn.wikimedia.org/viewvc/mediawiki/trunk/extensions/Renameuser/SpecialRenameuser.alias.php?revision=50213
Source1:	SpecialRenameuser.alias.php
# http://svn.wikimedia.org/viewvc/mediawiki/trunk/extensions/Renameuser/SpecialRenameuser.i18n.php?revision=50213
Source2:	SpecialRenameuser.i18n.php
# http://svn.wikimedia.org/viewvc/mediawiki/trunk/extensions/Renameuser/SpecialRenameuser.php?revision=50213
Source3:	SpecialRenameuser.php
# http://svn.wikimedia.org/svnroot/mediawiki/trunk/extensions/Renameuser/SpecialRenameuser_body.php?revision=50213
Source4:	SpecialRenameuser_body.php
Source5:	README.fedora
Source6:	LICENSE.fedora
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

Requires:	mediawiki >= 1.14

%description
Renameuser provides a special page which allows authorised users to rename user
accounts. This will cause page histories, etc. to be updated.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/Renameuser
install -pm 644 %{SOURCE0} %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/Renameuser

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -pm 644 %{SOURCE5} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -pm 644 %{SOURCE6} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_datadir}/mediawiki/extensions/Renameuser
%doc %{_docdir}/%{name}-%{version}/README.fedora
%doc %{_docdir}/%{name}-%{version}/LICENSE.fedora

%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.20090505svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 25 2009 John Guthrie <guthrie@counterexample.org> - 0-0.5.20090505svn
- Corrected UTF8 problems with the LICENSE.fedora file.

* Mon Jun 22 2009 John Guthrie <guthrie@counterexample.org> - 0-0.4.20090505svn
- Added in the LICENSE.fedora file.

* Mon May 18 2009 John Guthrie <guthrie@counterexample.org> - 0-0.3.20090505svn
- Fixed README.fedora file so that it contained information on the correct
  MediaWiki extension.

* Tue May 05 2009 John Guthrie <guthrie@counterexample.org> - 0-0.2.20090505svn
- Fixed source code download URLs.
- Corrected license field.
- Downloaded latest version of code from subversion.
- Corrected URL tag.

* Tue Mar 31 2009 John Guthrie <guthrie@counterexample.org> - 0-0.1.20090331svn
- Initial package build.
